name: Build and Push

on:
  push:
    branches: [main]

jobs:
  build:
    runs-on: ubuntu-latest
    env:
      DOCKER_HOST: tcp://localhost:2375
    steps:
      - uses: actions/checkout@v4

      - name: Log in to Gitea Container Registry
        uses: docker/login-action@v3
        with:
          registry: gitea.kazcloud.dev
          username: ${{ secrets.REGISTRY_USERNAME }}
          password: ${{ secrets.REGISTRY_PASSWORD }}

      - name: Build and push
        env:
          DOCKER_HOST: tcp://localhost:2375
        uses: docker/build-push-action@v5
        with:
          context: .
          push: true
          tags: gitea.kazcloud.dev/ryan/${{ gitea.repository_name }}:latest
